#! /usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_jsx_1 = require("commander-jsx");
const fs_1 = require("fs");
const child_process_1 = require("child_process");
const core_1 = require("./core");
async function match({ 'ini-file': iniFile, 'NPM-config': NPMConfig }, ...list) {
    const show_log = iniFile || NPMConfig;
    if (show_log)
        console.time('Search');
    for (const name of list) {
        const path = await core_1.which(name);
        console.info((show_log || list[1] ? `${name}=` : '') + path);
        if (iniFile)
            fs_1.appendFileSync(iniFile, `${name}=${path}\n`);
        else if (NPMConfig)
            child_process_1.execSync(`npm set ${name} ${JSON.stringify(path)}`);
    }
    if (!show_log)
        return;
    console.info('--------------------');
    console.timeEnd('Search');
}
commander_jsx_1.Command.execute(commander_jsx_1.createCommand("fs-match", { parameters: "[name ...]", version: "1.4.0", description: "Search App paths with App Name", options: {
        'ini-file': {
            shortcut: 'f',
            parameters: '<path>',
            description: 'Append result to an ini-like file'
        },
        'NPM-config': {
            shortcut: 'c',
            description: 'Set result to local NPM configuration'
        }
    }, executor: match }), process.argv.slice(2));
