"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppFolder = exports.getPartition = void 0;
const fs_1 = require("fs");
const { env } = process;
let disk;
/**
 * @return  Acessible disk partitions of current Windows
 */
function getPartition() {
    return (disk ||
        (disk = 'CDEFGHIJKLMNOPQRSTUVWXYZ'
            .split('')
            .map(disk => {
            disk = `${disk}:\\`;
            if (fs_1.existsSync(disk) && fs_1.readdirSync(disk)[2])
                return disk;
        })
            .filter(Boolean)));
}
exports.getPartition = getPartition;
let folder;
/**
 * @return  Acessible application folders of current Windows
 */
function getAppFolder() {
    return (folder ||
        (folder = getPartition()
            .map(disk => [
            env.PROGRAMFILES,
            env['ProgramFiles(x86)'],
            env.LOCALAPPDATA
        ].filter(path => fs_1.existsSync((path = disk + path.slice(3)))))
            .flat()));
}
exports.getAppFolder = getAppFolder;
